set export_dir DPM_NET

file delete -force $proj

create_project -dir . $proj

open_project $proj

proj_export_timing_constraints = "no"
proj_fsm_when_others = "safest"
proj_xlx_ppr = "M1"
proj_default_clock_frequency = 50

if {$lib != ""} {
	create_library $lib
	foreach i $lib_vhdl {
		add_file -library $lib -format VHDL $i
	}
}

foreach i $vhdl {
	add_file -format VHDL $i
}

analyze_file -progress

create_chip -progress -target $target -device $device -name $chip $top

current_chip $chip

set opt_chip $chip-Optimized

optimize_chip -progress -name $opt_chip

list_message

file delete -force $export_dir
file mkdir $export_dir

export_chip -progress -dir $export_dir

close_project

exit

